Last Comment Bug 645313 - URL Tooltip extremely annoying - either restore statusbar or add option to turn it off!
: URL Tooltip extremely annoying - either restore statusbar or add option to tu...
Status: RESOLVED WONTFIX
[bugday-20110401]
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: -- enhancement (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: 541656
  Show dependency treegraph
 
Reported: 2011-03-26 05:26 PDT by Klaus Kusche
Modified: 2013-08-06 20:48 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Klaus Kusche 2011-03-26 05:26:37 PDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:2.0) Gecko/20110326 Firefox/4.0
Build Identifier: Mozilla/5.0 (X11; Linux x86_64; rv:2.0) Gecko/20110326 Firefox/4.0

The URL tooltip which shows up in the lower left corner when hovering or
clicking links ist extremely annoying and visually distracing:
It appears, disappears, changes size, ...

It is impossible to do concentrated work in firefox for longer periods
because this nasty little beast is flashing and flickering at me all the time,
catching my attention!
(especially on web pages with dark background!)

Please include an option to restore the old status bar,
it was by far less distracing and less visually annoying!
(or at least include an option to disable the tooltip
or make it appear only after a one-second delay).



Reproducible: Always

Steps to Reproduce:
Move your mouse over a link or click it.
Comment 1 George Carstoiu 2011-03-28 02:52:50 PDT
Mozilla/5.0 (X11; Linux i686; rv:2.0) Gecko/20100101 Firefox/4.0

Klaus, thanks for reporting this. Toolips are meant to be displayed by default but you can easily disable them by:
 1. Access about:config
 2. Look for browser.chrome.toolbar_tips and disable it
 3. Restart Firefox and tooltips should disappear.

Hope this helps. Setting resolution to Resolved Invalid.
Comment 2 Klaus Kusche 2011-03-28 10:09:02 PDT
Your solution is not related to the problem at all.

I'm not talking about the toolbar tips.
I'm talking about the tooltip-like popup in the lower left corner
which replaced the status bar and shows
- the link URL when you move the mouse over a link
- the connection status when firefox loads a page
Comment 3 George Carstoiu 2011-04-01 08:49:36 PDT
Now I understand what you were trying to explain. Unfortunately I don't know of any way of getting rid of that toolbar/status bar. 

Maybe someone else has any idea?
Comment 4 anthonydam 2011-04-01 12:01:03 PDT
Use "statu 4 ever" addon.
Comment 5 Klaus Kusche 2011-04-01 12:19:41 PDT
That addon solves the problem.

Should I rely on the addon or is there a chance 
to get a firefox option which allows to switch to the oldstyle status bar?
Comment 6 [:Aleksej] 2011-04-01 13:42:26 PDT
(In reply to comment #4)
> Use "statu 4 ever" addon.

FWIW, exact name: "Status-4-Evar".
Comment 7 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-04-01 14:33:01 PDT
Moving this to enhancements
Comment 9 Ian Paul Freely 2012-01-21 23:22:26 PST
I don't want to have to install yet another memory-hungry add-on just do something which Firefox SHOULD and previously DID do natively!

The status location bar tooltip pop-up balloon or whatever it's being called now should have the following options:

1) NO TIME-DELAY IN DISPLAY.  For years and years I've had the occasion to need to quickly verify that a list of links were generated correctly or compare differences by simply hovering the mouse over them.  The stupid display-delay not only slows down my productivity significantly, but it also sometimes displays the wrong link because all the time-delays are trying to play catch-up.

2) Lock it to the bottom-LEFT corner of the screen so that I don't have to keep wondering where the hell the link display is.  After 15+ years of using web browsers, I've come to subconsciously expect it to ALWAYS appear in the bottom-left corner, so it's infuriatingly annoying when it's unexpectedly (often unpredictably) NOT where I expect to see it AT A GLANCE.  (And what @#%*-for-brains imbecile really thought right-aligning a diversely varying string was a good idea?  Numbers, sometimes yes, but long URLs, NEVER!)

3) Lock it to a static never-hides bar OUTSIDE of the document window, maybe on that add-on bar for which I otherwise still haven't found a reason why I should keep it.  It's incredibly annoying when I can't see some content which is hidden behind the location balloon or the balloon suddenly shifts to a different position because the mouse is pointed where it wants to be.

It's features like this which should never be taken out, but rather be made optional, and even then they should be left "on" by default since loyal users EXPECT them to be there when upgrading and only the developers who bungled things up know how to unbungle them.
Comment 10 Dão Gottwald [:dao] 2012-12-26 05:37:27 PST
(In reply to Klaus Kusche from comment #5)
> Should I rely on the addon or is there a chance 
> to get a firefox option which allows to switch to the oldstyle status bar?

The former.
Comment 11 jnrheart 2013-08-06 20:46:46 PDT
Whenever I'm watching a video on Netflix, the url 'popup' stays on continually in the lower corner.  It will move to the other corner if I click on it, but I cannot get rid of it!  I had to install Status-4-Evar to get it to not block the movie. It would be nice if the firefox crew would listen to their users. I realize they are doing a lot of hard work, but they seem to be moving away from what firefox was known for - stability and control for the user.  I understand that the latest craze in developement is scrum and agile development, but it's becoming fragile development, and it's only emphasizing stability and control for the developer.
Comment 12 jnrheart 2013-08-06 20:47:47 PDT
By the way - I really like the Status: RESOLVED WONTFIX - ha! At least it's an admission that it's broken!
Comment 13 jnrheart 2013-08-06 20:48:59 PDT
I still use version 12 at work on my laptop.  Cannot get any new version to work right - no idea why...

Note You need to log in before you can comment on or make changes to this bug.